Subject: Re: [EGIT PATCH] Provide a more JavaBeans-style 'getName' accessor for the id Signed-off-by: Alex Blewitt <[email-masked]>

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 10 Aug 2009 13:59:07 -0700

Alex Blewitt <[email-masked]> wrote:
> That patch was originally mailed on the 11th May. Has it taken until now 
> to notice the problem, or was the other method added in the last month or 
> so? If I'm to blame, I apologise but didn't note any compile time issues 
> at the time.

Arrgh, you are right, I lost this patch in my inbox, and in the
interm we applied new features to RevTag which added getName there.

> On 10 Aug 2009, at 16:52, "Shawn O. Pearce" <[email-masked]> wrote:
>> Obviously you didn't compile test this in JGit:

Never mind.

>> ./org/spearce/jgit/revwalk/RevTag.java:206: getName() in
>> org.spearce.jgit.revwalk.RevTag cannot override getName() in
>> org.spearce.jgit.lib.AnyObjectId; overridden method is final

I can't apply this patch because getName() on RevTag is already
defined with a different meaning.  :-(

-- 
Shawn.